Subject: bug#11365: 24.1.50; quitting gdb does not restore window configuration

From: Sam Steingold <[email-masked]>
Date: Fri, 27 Apr 2012 15:34:50 -0400

> * Eli Zaretskii <[email-masked]> [2012-04-27 22:01:27 +0300]:
>
>> From: Sam Steingold <[email-masked]>
>> Date: Fri, 27 Apr 2012 14:40:07 -0400
>> 
>> quit in gdb now removes the gdb windows (which is very good! - except
>> that the *gud-lisp.run* buffer and window are preserved, which is not so
>> good) but it does not restore the window configuration which existed
>> when at M-x gdb RET time.
>
> Did it ever do that?  I don't see this in 23.3, for example.

Until recently (see my bug#11273), quitting gdb did not change the
window configuration and preserved the stack, locals, &c windows and
buffers.
Now that was fixed and all those subsidiary buffers and windows are
killed.

however, the original window configuration is not restored, which is
wrong, and, also, the *gud* window is preserved, which is also wrong.

-- 
Sam Steingold (http://sds.podval.org/) on Ubuntu 11.10 (oneiric) X 11.0.11004000
http://www.childpsy.net/ http://www.memritv.org http://memri.org
http://jihadwatch.org http://pmw.org.il http://iris.org.il http://dhimmi.com
Single tasking: Just Say No.